> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tagada.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List disputes on payments

> Newest opened first; only disputes on API payments of the key’s mode.



## OpenAPI

````yaml /payments-api/openapi.json get /v1/disputes
openapi: 3.1.0
info:
  title: TagadaPay Payments API
  version: '2026-11-01'
servers:
  - url: https://api.tagada.io
security: []
paths:
  /v1/disputes:
    get:
      tags:
        - disputes
      summary: List disputes on payments
      description: Newest opened first; only disputes on API payments of the key’s mode.
      operationId: disputes.list
      parameters:
        - in: query
          name: payment
          required: false
          schema:
            pattern: ^pay_[a-f0-9]{12}$
            type: string
        - in: query
          name: status
          required: false
          schema:
            maxLength: 64
            minLength: 1
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 20
            maximum: 100
            minimum: 1
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            minLength: 1
            type: string
        - in: header
          name: payments-account
          required: false
          schema:
            type: string
        - in: header
          name: payments-version
          required: false
          schema:
            enum:
              - '2026-11-01'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DisputeList'
          description: A page of disputes.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: parameter_invalid, parameter_missing, amount_out_of_range
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: authentication_required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: permission_denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: resource_not_found
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: rate_limited
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: internal_error
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: not_implemented
      security:
        - bearerAuth: []
components:
  schemas:
    DisputeList:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: '#/components/schemas/Dispute'
          type: array
        has_more:
          type: boolean
        next_cursor:
          type:
            - string
            - 'null'
        object:
          enum:
            - list
          type: string
      required:
        - object
        - data
        - has_more
        - next_cursor
      type: object
    ApiError:
      properties:
        error:
          properties:
            code:
              $ref: '#/components/schemas/ErrorCode'
            details:
              additionalProperties: {}
              type: object
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            request_id:
              type: string
            type:
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - conflict_error
                - rate_limit_error
                - api_error
                - unavailable_error
              type: string
          required:
            - type
            - code
            - message
            - param
            - request_id
          type: object
      required:
        - error
      type: object
    Dispute:
      additionalProperties: false
      properties:
        amount:
          type: integer
        closed_at:
          format: date-time
          type:
            - string
            - 'null'
        currency:
          type: string
        evidence_due_by:
          format: date-time
          type:
            - string
            - 'null'
        id:
          pattern: ^pdsp_[a-f0-9]{12}$
          type: string
        mode:
          enum:
            - live
            - test
          type: string
        object:
          enum:
            - dispute
          type: string
        opened_at:
          format: date-time
          type: string
        payment:
          pattern: ^pay_[a-f0-9]{12}$
          type: string
        reason:
          type:
            - string
            - 'null'
        status:
          enum:
            - needs_response
            - under_review
            - won
            - lost
            - accepted
            - warning_needs_response
            - warning_under_review
            - warning_closed
          type: string
          x-extensible-enum:
            - needs_response
            - under_review
            - won
            - lost
            - accepted
            - warning_needs_response
            - warning_under_review
            - warning_closed
      required:
        - id
        - object
        - mode
        - payment
        - amount
        - currency
        - status
        - reason
        - opened_at
        - evidence_due_by
        - closed_at
      type: object
    ErrorCode:
      enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
      type: string
      x-extensible-enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
  securitySchemes:
    bearerAuth:
      description: >-
        Secret, platform or publishable API key. Platform keys require
        Payments-Account.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.